%define name dosemu
%define version 1.3.2
%define release 1

Summary: DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source:    %{name}-%{version}.tgz
Source1:   %{name}-freedos-1.0-bin.tgz
Source2:   dosemu.desktop
Source3:   dosemu.png
BuildArch: i686 x86_64
License:   GPL
Group: System/Emulators
Buildroot: %{_builddir}/%{name}-root
BuildPrereq: bison flex
%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386+ processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.
%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%build
#./configure --prefix=%{_prefix} --mandir=%{_mandir} --with-slangdir=src/plugin/slang --with-fdtarball=%{_sourcedir}/dosemu-freedos-bin.tgz
#./configure --prefix=%{_prefix} --mandir=%{_mandir} --with-slangdir=src/plugin/slang --with-fdtarball=/ARCHIV/misc_src/dosemu/dosemu-freedos-b9r5-bin.tgz
./configure --prefix=%{_prefix} --mandir=%{_mandir} --with-fdtarball=%{SOURCE1} --with-svgalib --with-x --target=i686 --with-target-cpu=i686
make
%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/drives
ln -s /usr/share/dosemu/drive_z  $RPM_BUILD_ROOT%{_sysconfdir}/drives/c

echo "desktop-file-install:"
desktop-file-install --vendor=fedora --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

echo "mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps"
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m 0644 %SOURCE3 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT
%pre
if [ -f /etc/dosemu.users ]; then
  echo "Deprecating /etc/dosemu.users: moving to /etc/dosemu/dosemu.users"
  echo "Please use /etc/dosemu/dosemu.users instead (if necessary)."
  mv /etc/dosemu.users /etc/dosemu/dosemu.users
fi
if [ -f /etc/dosemu.conf ]; then
  echo "Deprecating /etc/dosemu.conf: moving to /etc/dosemu/dosemu.conf"
  echo "Please use /etc/dosemu/dosemu.conf instead."
  mv /etc/dosemu.conf /etc/dosemu/dosemu.conf
fi
%files
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_bindir}/xdosemu
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/xdosemu.1*
%{_mandir}/ru/man1/mkfatimage16.1*
%{_mandir}/ru/man1/dosdebug.1*
%{_mandir}/ru/man1/dosemu.1*
%{_mandir}/ru/man1/dosemu.bin.1*
%{_mandir}/ru/man1/xdosemu.1*
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/freedos
%{_datadir}/dosemu/dosemu-bin.tgz
%{_datadir}/dosemu/dosemu-freedos-bin.tgz
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%{_datadir}/pixmaps/dosemu.png
%{_datadir}/applications/*
%doc %{_datadir}/doc/dosemu/README.bindist
%doc %{_datadir}/doc/dosemu/README.txt
%doc %{_datadir}/doc/dosemu/README-tech.txt
%doc %{_datadir}/doc/dosemu/dosemu-HOWTO.txt
%doc %{_datadir}/doc/dosemu/sound-usage.txt
%doc %{_datadir}/doc/dosemu/announce
%doc %{_datadir}/doc/dosemu/EMUfailure.txt
%doc %{_datadir}/doc/dosemu/NOVELL-HOWTO.txt
%doc %{_datadir}/doc/dosemu/README.gdb
%doc %{_datadir}/doc/dosemu/DANG.txt
%doc %{_datadir}/doc/dosemu/NEWS
%doc %{_datadir}/doc/dosemu/THANKS
%dir %{_sysconfdir}/drives
%config(noreplace) %{_sysconfdir}/dosemu/dosemu.conf
%config(noreplace) %{_sysconfdir}/dosemu/drives/c
%config(noreplace) %{_sysconfdir}/dosemu/dosemu.users
%config(noreplace) %{_sysconfdir}/dosemu/global.conf
